# $Revision: 1.19 $, $Date: 2012/04/02 11:22:29 $
Summary:	OpenSync Evolution plugin
Summary(pl.UTF-8):	Wtyczka Evolution do OpenSync
Name:		libopensync-plugin-evolution
Version:	0.39
Release:	4
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.opensync.org/download/releases/%{version}/%{name}2-%{version}.tar.bz2
# Source0-md5:	54d2fc3c80c29f3ac5feb609b082c99d
URL:		http://www.opensync.org/
BuildRequires:	cmake
BuildRequires:	evolution-data-server-devel >= 1.2
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libopensync-devel >= 1:%{version}
BuildRequires:	pkgconfig
Obsoletes:	multisync-evolution
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenSync is a synchronization framework that is platform and
distribution independent.

It consists of several plugins that can be used to connect to devices,
a powerful sync-engine and the framework itself.

This package contains Evolution plugin for OpenSync framework.

%description -l pl.UTF-8
OpenSync to niezależny od platformy i dystrybucji szkielet do
synchronizacji danych.

Składa się z różnych wtyczek, których można używać do łączenia z
urządzeniami, potężnego silnika synchronizacji oraz samego szkieletu.

Ten pakiet zawiera wtyczkę Evolution dla szkieletu OpenSync.

%prep
%setup -q -n %{name}2-%{version}

%build
mkdir build
cd build
%cmake .. \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
%if "%{_lib}" != "lib"
	-DLIB_SUFFIX=64
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/opensync/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libopensync1/formats/evo2-format.so
%attr(755,root,root) %{_libdir}/libopensync1/plugins/evo2-sync.so
%{_datadir}/libopensync1/defaults/evo2-sync

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libopensync-plugin-evolution.spec,v $
Revision 1.19  2012/04/02 11:22:29  megabajt
- release 4

Revision 1.18  2011/10/22 08:23:43  arekm
- release 3

Revision 1.17  2011/01/30 16:17:35  sparky
- BR: cmake

Revision 1.16  2010/10/10 15:38:11  megabajt
- release 2

Revision 1.15  2010/08/19 09:22:32  glen
- 0.39, last unstable ver before stable

Revision 1.14  2010/04/21 17:04:01  arekm
- release 3

Revision 1.13  2008/11/02 20:06:55  arekm
- release 2

Revision 1.12  2008/05/30 13:45:48  wolvverine
- add epoch to BR:libopensync-devel

Revision 1.11  2008-05-30 00:37:57  wolvverine
- up to 0.36

Revision 1.10  2007-09-02 11:44:10  qboosh
- LGPL v2.1+

Revision 1.9  2007/09/02 11:43:34  qboosh
- BR fixes (eds-devel, not evolution-devel)
- drop .la

Revision 1.8  2007/03/28 23:28:13  wrobell
- ver. 0.22

Revision 1.7  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.5  2006/10/23 20:50:24  glen
- stricter libopensync dep

Revision 1.4  2006/10/23 15:11:33  czarny
- up to 0.19
- source from distfiles

Revision 1.3  2006/01/24 10:42:40  qboosh
- Obsoletes: multisync-evolution

Revision 1.2  2006/01/24 10:36:33  qboosh
- pl

Revision 1.1  2006/01/23 12:23:01  wrobell
- based on each other ;)
